# $Id: Makefile.inc 127 2005-04-04 15:06:03Z riz $

.if !defined(__ZAPTEL_MAKEFILE_INC)
__ZAPTEL_MAKEFILE_INC=1

NOMAN=	# defined

.if defined(ZAPTEL_KERNEL_ENV) && !empty(ZAPTEL_KERNEL_ENV)
CPPFLAGS+=${ZAPTEL_KERNEL_ENV}
.endif

LOCALBASE?= /usr/local
PREFIX?= ${LOCALBASE}

# How to determine what version of NetBSD we're running - if there's
# a better way to do this, I'd love to hear about it.
# Some of this was stolen from pkgsrc - bsd.prefs.mk
OPSYS!=			uname -s | tr -d /
OS_VERSION!=		uname -r

# installation stuff which would come from bsd.pkg.mk if this were a pkg 
# build.
BSD_INSTALL_PROGRAM?= \
	${INSTALL} ${COPY} ${_STRIPFLAG_INSTALL} -o ${BINOWN} -g ${BINGRP} \
		-m ${BINMODE}
BSD_INSTALL_DATA?=	\
	${INSTALL} ${COPY} -o ${DOCOWN} -g ${DOCGRP} -m ${DOCMODE}
BSD_INSTALL_SCRIPT?=	\
	${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
BSD_INSTALL_LIB?=	\
	${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
.endif	# __ZAPTEL_MAKEFILE_INC

.include <bsd.own.mk>
